# Csv Class Reference
[Various markups implementations]

List of all members.

## Public Member Functions

| __construct ($header=false)
| getArray ()
| setArray ($array)
| setSeparator ($separator)
| parse ($rawData)
| render ($forceQuotes=false)
| getContentTypeHeader ()

## Static Public Member Functions

static | create ($header=false)

## Public Attributes

const | SEPARATOR = "\x2C"
const | QUOTE = "\x22"
const | CRLF = "\x0D\x0A"
const | QUOTE_REQUIRED_PATTERN = "/(\x2C|\x22|\x0D|\x0A)/"

## Private Attributes

| $separator = self::SEPARATOR
| $header = false
| $data = array()

## Detailed Description

See also:
  http://tools.ietf.org/html/rfc4180

Todo:
  implement parse

Definition at line 17 of file Csv.class.php.

## Constructor & Destructor Documentation

Csv::__construct | ( | $ | header = `false` | ) |

Definition at line 37 of file Csv.class.php.

References $header.

## Member Function Documentation

static Csv::create | ( | $ | header = `false` | ) | `[static]`

Returns:
  Csv

Definition at line 32 of file Csv.class.php.

References $header.

Referenced by getContentTypeHeader().

Csv::getArray | ( |  | ) |

Definition at line 42 of file Csv.class.php.

Csv::getContentTypeHeader | ( |  | ) |

Returns:
  ContentTypeHeader

Definition at line 117 of file Csv.class.php.

References create().

Here is the call graph for this function:

Csv::parse | ( | $ | rawData | ) |

Definition at line 69 of file Csv.class.php.

Csv::render | ( | $ | forceQuotes = `false` | ) |

Definition at line 74 of file Csv.class.php.

References Assert::isArray(), and Assert::isNotNull().

Here is the call graph for this function:

Csv::setArray | ( | $ | array | ) |

Returns:
  Csv

Definition at line 50 of file Csv.class.php.

References Assert::isArray().

Here is the call graph for this function:

Csv::setSeparator | ( | $ | separator | ) |

Returns:
  Csv

Definition at line 62 of file Csv.class.php.

References $separator.

## Member Data Documentation

Csv::$data = array()`[private]`

Definition at line 27 of file Csv.class.php.

Csv::$header = false`[private]`

Definition at line 26 of file Csv.class.php.

Referenced by __construct(), and create().

Csv::$separator = self::SEPARATOR`[private]`

Definition at line 24 of file Csv.class.php.

Referenced by setSeparator().

const Csv::CRLF = "\x0D\x0A"

Definition at line 21 of file Csv.class.php.

const Csv::QUOTE = "\x22"

Definition at line 20 of file Csv.class.php.

const Csv::QUOTE_REQUIRED_PATTERN = "/(\x2C|\x22|\x0D|\x0A)/"

Definition at line 22 of file Csv.class.php.

const Csv::SEPARATOR = "\x2C"

Definition at line 19 of file Csv.class.php.

The documentation for this class was generated from the following file:

- main/Markup/Csv.class.php